<DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8" />
		<title>Update avec recherche</title>
	</head>

	<body>
		<?php
			include("connexion.php");
			$bdd=connexionBD('cinema');
			// initialisation de variables			
			$idFilm=''; $titre='';$realisateur='';$annee=''; $message='';

			if (isset($_GET['rechercher'])) {
				if (!isset($_GET['idFilm']) or $_GET['idFilm']==''){
					$message =  '<br/> Vous n\'avez pas saisi l\'id du film pour la recherche';
				}
				$reqSQL='SELECT * FROM films WHERE id = :idFilm';
				//echo '<h2>' .$reqSQL. '</h2>';

				// prepare et execute : version :realisateur dans le reqSQL	
				$requete=$bdd->prepare($reqSQL);
				$requete->execute(array(
					'idFilm'=> $_GET['idFilm']
				));
				$ligne = $requete->fetch();
				$idFilm=$ligne['id']; 
				$titre=$ligne['titre'];
				$realisateur=$ligne['realisateur'];
				$annee=$ligne['annee'];
				$requete->closeCursor(); // il faudra se reconnecter à la BD
			}

			if (isset($_GET['modifier']) ){
				if (!isset($_GET['realisateur']) or !isset($_GET['titre']) or $_GET['realisateur']=='' or $_GET['titre']==''  ){
					$message = '<br/> Vous n\'avez pas saisi tous les paramètres pour la modification';
				}
				else{
					$idFilm=$_GET['idFilm'];
					$titre=$_GET['titre'];
					$realisateur=$_GET['realisateur'];
					$annee=$_GET['annee'];
					$reqSQL='UPDATE films SET annee=:annee WHERE titre = :titre AND realisateur = :realisateur';
					//echo '<h2>' .$reqSQL. '</h2>';

					// prepare et execute : version :realisateur dans le reqSQL	
					$requete=$bdd->prepare($reqSQL);
					$resultat=$requete->execute(array(
						'titre'=>$titre, 
						'realisateur'=>$realisateur,
						'annee'=>$annee
					));

					/* pour tester le résultat : 0 si pas de DELETE */
					if($requete->rowCount() ){
						$message = '<br/> L\'UPDATE a été effectué ' .$requete->rowCount(). ' fois';
					} else {
						$message =  '<br/> L\'UPDATE a échoué';
						// la modification n'a pas lieu si on n'a pas changé la valeur
					}
					$requete->closeCursor(); // il faudra se reconnecter à la BD
				}
			}
		?>
		
		<h1>Update avec recherche</h1>
		<form action="TP-update.php" method="GET" >
			<fieldset>
				<legend>Entrez les caractéristiques du film</legend>

				<p><label for="idFilm">id du film : </label>
				<input type="text" name="idFilm" id="idFilm" value="<?php echo $idFilm;?>" placeholder="idFilm pour la recherche"></p>
				
				<p><label for="titre">titre du film : </label>
				<input type="text" name="titre" id="titre" value="<?php echo $titre; ?>" placeholder="titre"></p>
		
				<p><label for="realisateur">realisateur du film : </label>
				<input type="text" name="realisateur" id="realisateur" value="<?php echo $realisateur ?>" placeholder="realisateur"></p>

				<p><label for="annee">année à modifier : </label>
				<input type="text" name="annee" id="annee" value="<?php echo $annee ?>" placeholder="annee"></p>
			  	<p>
			  		<input type="submit" name="rechercher" value="Rechercher"> 
			  		<input type="submit" name="modifier" value="Modifier">
		  		</p>
		  	</fieldset>
		</form>	
		<p><?php echo $message;?></p>
	</body>	
</html>